<template>
	<bottom-btn-box>
		<view class="onebox" v-if="pageType=='default'">
			<generalButton :btnTitle="leftBtnTitle" @click="leftBtnAction" :shape="shape" />
		</view>
	</bottom-btn-box>
</template>

<script>
	import generalButton from "@/components/btn/general-button.vue"
	export default {
		name: "mobileBottomBtn",
		components: {
			generalButton
		},
		data() {
			return {};
		},
		props: {
			pageType: {
				type: String,
				default: 'default', //twoBtn
			},
			leftBtnTitle: {
				type: String,
				default: '左按钮'
			},
			rightBtnTitle: {
				type: String,
				default: '右按钮'
			},
			shape: {
				type: String,
				default: 'circle' //直角'square' 圆角'circle';
			}
		},
		methods: {
			leftBtnAction() {
				this.$emit("leftClick", "");
			},
			rightBtnAction(index) {
				this.$emit("rightClick", index);
			},
		}
	}
</script>

<style lang="scss" scoped>
	.onebox {
		display: flex;
		width: 100%;
		justify-content:center;
		align-items: center;
		// padding-left: 16px;
		// padding-right: 16px;
		padding: 0 50rpx;
		z-index: 1999;
	}
</style>